aboutsummaryrefslogtreecommitdiffstats
path: root/cron-sh
diff options
context:
space:
mode:
authorEugeni Dodonov <eugeni@mandriva.org>2010-02-08 14:07:35 +0000
committerEugeni Dodonov <eugeni@mandriva.org>2010-02-08 14:07:35 +0000
commit7747cb8b72454a36c3a91aa3b40e351784a03bab (patch)
tree327fc8798a37b53930a57bf49eacddb722bdfc14 /cron-sh
parentc60397c453fee88ec3e97d90ca2882d00fbd0b49 (diff)
downloadmsec-7747cb8b72454a36c3a91aa3b40e351784a03bab.tar
msec-7747cb8b72454a36c3a91aa3b40e351784a03bab.tar.gz
msec-7747cb8b72454a36c3a91aa3b40e351784a03bab.tar.bz2
msec-7747cb8b72454a36c3a91aa3b40e351784a03bab.tar.xz
msec-7747cb8b72454a36c3a91aa3b40e351784a03bab.zip
loading settings from the base level
Diffstat (limited to 'cron-sh')
-rwxr-xr-xcron-sh/security.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/cron-sh/security.sh b/cron-sh/security.sh
index 9a2d19d..ce59a31 100755
--- a/cron-sh/security.sh
+++ b/cron-sh/security.sh
@@ -5,6 +5,13 @@
# the order in which they should be executed
if [[ -f /etc/security/msec/security.conf ]]; then
+ # load settings from base level
+ BASE_LEVEL=$(sed -n 's/BASE_LEVEL=//p' /etc/security/msec/security.conf)
+ if [[ ! -f /etc/security/msec/level.$BASE_LEVEL ]]; then
+ echo "Error: base level $BASE_LEVEL not found"
+ exit 1
+ fi
+ . /etc/security/msec/level.$BASE_LEVEL
. /etc/security/msec/security.conf
else
echo "/etc/security/msec/security.conf don't exist."